
Katello - Bug #4525

Trying to create various objects (Puppet Environments, Smart Proies) causes database error

03/03/2014 03:02 PM - Mike McCune

Status: Resolved   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Foretello mode do the following:

1) Login

2) Select ACME_Corporation as your org context

3) Configure -> Environments

4) Create new Puppet Environment

Note error in logs:

Completed 200 OK in 51ms (Views: 25.9ms | ActiveRecord: 4.2ms)

    Processing by EnvironmentsController#create as */*

      Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"y6A9TQu8/slbBVyvesGqmLOJkH2iB

8wy5ZaGeVAasBo=", "environment"=>{"name"=>"fffffffff", "location_ids"=>[""], "organization_ids"=>[

""]}}

    Operation FAILED: ERROR:  duplicate key value violates unique constraint "environments_pkey"

History

#1 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#2 - 08/18/2014 02:02 PM - Eric Helms

- Status changed from New to Resolved

#3 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13
